System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class, AllowMultiple=false, Inherited=true)

The is used to specify the properties used with complex data binding, such as binding based on .

The attribute is specified at the class level. It is inheritable and does not allow multiple attributes on the same class.

A control can support both simple binding, with , as well as complex binding.

For more information about using attributes, see Extending Metadata Using Attributes.

Specifies the data source and data member properties for a component that supports complex data binding. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The default constructor sets the and properties to null.

  Initializes a new instance of the class using no parameters.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets the property to and the property to null.

  Initializes a new instance of the class using the specified data source.

  The name of the property to be used as the data source.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets the property to and the property to .

  Initializes a new instance of the class using the specified data source and data member.

  The name of the property to be used as the data source.
  The name of the property to be used as the source for data.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property is set in the constructors for this class.

  Gets the name of the data member property for the component to which the is bound.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property is set in the constructors for this class.

  Gets the name of the data source property for the component to which the is bound.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ComplexBindingPropertiesAttribute

  The member is a static, read-only field that defines an instance of the class initialized with the default constructor.

  Represents the default value for the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method returns true if is of type and the and properties of the two objects are equal.

  Determines whether the specified is equal to the current instance.

  true if the object is equal to the current instance; otherwise, false, indicating they are not equal.

  The to compare with the current instance
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.